# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.70"
name = "memlink-msdk-macros"
version = "0.1.0"
authors = ["Radiiplus <radiiplus@gmail.com>"]
build = false
exclude = [
    ".gitignore",
    "examples/",
    "target/",
    "*.log",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Procedural macros for memlink SDK - automatic serialization, FFI exports, and panic isolation"
homepage = "https://github.com/Radiiplus/memlink"
documentation = "https://docs.rs/memlink-msdk-macros"
readme = "README.md"
keywords = [
    "memlink",
    "macros",
    "proc-macro",
    "ipc",
    "ffi",
]
categories = [
    "development-tools::procedural-macro-helpers",
    "os",
]
license = "Apache-2.0"
repository = "https://github.com/Radiiplus/memlink"

[package.metadata.docs.rs]
all-features = true
rustdoc-args = [
    "--cfg",
    "docsrs",
]

[lib]
name = "memlink_msdk_macros"
path = "src/lib.rs"
proc-macro = true

[dependencies.proc-macro2]
version = "1.0.106"

[dependencies.quote]
version = "1.0.45"

[dependencies.syn]
version = "2.0.117"
features = [
    "full",
    "extra-traits",
]

[dev-dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dev-dependencies.tokio]
version = "1.50.0"
features = ["full"]
